maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Parmendra Tyagi <p.ty...@iontrading.com>
Subject Compiling a package using target 1.5
Date Tue, 07 Feb 2012 08:25:59 GMT
Hi All,

I am trying to use Maven Compiler plugin for my project and I have gone
through it usage(
http://maven.apache.org/plugins/maven-compiler-plugin/usage.html) page as
well.

Here is my sample xml of it uses



<plugin>

        <artifactId>maven-compiler-plugin</artifactId>

        <version>2.3.2</version>

<configuration>

          <excludes>

            <exclude>**/*.bmp</exclude>

                …………………………………………

                …………………………………….

          </excludes>

          <source>1.6</source>

          <target>1.6</target>

        </configuration>

<plugin>



This compiles all the java classes with target as 1.6. I have one package
in my project which I need to be compiling using target 1.5.

Could any one help me how to achieve that



Usage page says that –“Since the Compiler Plugin executes automatically
during their phases, you don't have to put executions unlike the other
plugins.” So when I tried to use execution, it didn’t work out.



Regards,

Parmendra Tyagi

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message